> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Oasis Sapphire Onchain Data API

> Get token balances and transactions for Oasis Sapphire. 22 endpoints supported.

## Overview

> [!TIP]
>
> The Sapphire ParaTime is the official confidential EVM Compatible ParaTime providing a smart contract development environment with EVM compatibility. Oasis Sapphire allows for a confidential state, end-to-end encryption, and confidential randomness

GoldRush offers the most comprehensive Oasis Sapphire Data API suite for developers, analysts, and enterprises. Whether you're
building a DeFi dashboard, a wallet, a trading bot, an AI agent or a compliance platform,
our Oasis Sapphire Data APIs provide fast, accurate, and developer-friendly access to the essential onchain data you need.

### Supported APIs

> [card] [Foundational API](https://goldrush.dev/docs/goldrush-foundational-api)
>
> Access structured historical blockchain data across 100+ chains using REST APIs.
> Get token balances, transaction histories, decoded event logs, NFT assets, token holders and more.\
> \\
>
> **Use cases: Wallets, portfolio trackers, crypto accounting & tax tools, and DeFi dashboards.**

## Mainnet

| Property | Value |
| - | - |
| **Chain Name** | `oasis-sapphire-mainnet` |
| **Chain ID** | `23294` |
| **Network Type** | Frontier Chain |
| **Support Level** | frontier |
| **Block Explorer** | [Explorer](https://explorer.sapphire.oasis.io/) |
| **Official Website** | [Oasis Sapphire Website](https://docs.oasis.io/dapp/sapphire/) |
| **Native Gas Token** | ROSE |

## API Usage

To use this blockchain network in GoldRush API calls, use:

#### Chain Name

* `oasis-sapphire-mainnet` (mainnet)

#### Example API Calls

```bash Chain Name (Mainnet) theme={null}
curl -X GET "https://api.covalenthq.com/v1/oasis-sapphire-mainnet/address/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045/balances_v2/?key=<GOLDRUSH_API_KEY>"
```

#### SDK Usage

```typescript TypeScript SDK (Mainnet) theme={null}
import { GoldRushClient } from "@covalenthq/client-sdk";

const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.BalanceService.getTokenBalancesForWalletAddress({
    chainName: "oasis-sapphire-mainnet",
    walletAddress: "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
});
```

## Foundational API Support

This chain supports **22**  GoldRush Foundational APIs:

#### Wallet API

* **[ERC-20 Token Balance API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/balances/get-token-balances-for-address.md)**
* **[Native Token Balance API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/balances/get-native-token-balance.md)**
* **[Historical Portfolio Value API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/balances/get-historical-portfolio-value-over-time.md)**
* **[ERC-20 Token Transfers API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/balances/get-erc20-token-transfers-for-address.md)**

#### Pricing API

* **[Historical Token Price API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-historical-token-prices.md)**

#### Security API

* **[Token Approvals API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/security/get-token-approvals-for-address.md)**

#### Transactions API

* **[Transaction API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-a-transaction.md)**
* **[Wallet Transaction Summary API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-transaction-summary-for-address.md)**
* **[Earliest Wallet Transactions API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-earliest-transactions-for-address-v3.md)**
* **[Wallet Transaction History API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-recent-transactions-for-address-v3.md)**
* **[Paginated Wallet Transactions API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-paginated-transactions-for-address-v3.md)**
* **[Time Bucket Transactions API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-time-bucket-transactions-for-address-v3.md)**
* **[Block Transactions API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-all-transactions-in-a-block.md)**
* **[Block Transactions API by Page on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/transactions/get-all-transactions-in-a-block-by-page.md)**

#### Block Explorer API

* **[Block API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-a-block.md)**
* **[Block Heights API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-block-heights.md)**
* **[Chain Status API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-all-chain-statuses.md)**
* **[Contract Event Logs API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-log-events-by-contract-address.md)**
* **[Event Logs API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-logs.md)**
* **[Event Logs by Topic Hash API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-log-events-by-topic-hash.md)**
* **[Gas Price API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-gas-prices.md)**
* **[Supported Chains API on Oasis Sapphire](https://goldrush.dev/docs/api-reference/foundational-api/utility/get-all-chains.md)**

## Additional Resources

* [GoldRush API Documentation](https://goldrush.dev/docs/)
* [Supported Chains List](https://goldrush.dev/chains/)
* [API Reference](https://goldrush.dev/docs/api-reference/)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.